<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Cell\DataType</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_checkErrorCode" title="checkErrorCode ::Check a value that it is a valid error code.">
            <span class="description">Check a value that it is a valid error code.</span><pre>checkErrorCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_checkString" title="checkString ::Check a string that it satisfies Excel requirements.">
            <span class="description">Check a string that it satisfies Excel requirements.</span><pre>checkString</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getErrorCodes" title="getErrorCodes ::Get list of error codes.">
            <span class="description">Get list of error codes.</span><pre>getErrorCodes</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_TYPE_BOOL" title="TYPE_BOOL ::">
                        <span class="description"></span><pre>TYPE_BOOL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_ERROR" title="TYPE_ERROR ::">
                        <span class="description"></span><pre>TYPE_ERROR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_FORMULA" title="TYPE_FORMULA ::">
                        <span class="description"></span><pre>TYPE_FORMULA</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_INLINE" title="TYPE_INLINE ::">
                        <span class="description"></span><pre>TYPE_INLINE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_NULL" title="TYPE_NULL ::">
                        <span class="description"></span><pre>TYPE_NULL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_NUMERIC" title="TYPE_NUMERIC ::">
                        <span class="description"></span><pre>TYPE_NUMERIC</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_STRING" title="TYPE_STRING ::">
                        <span class="description"></span><pre>TYPE_STRING</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TYPE_STRING2" title="TYPE_STRING2 ::">
                        <span class="description"></span><pre>TYPE_STRING2</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>DataType</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_checkErrorCode"></a>
                        <div class="element clickable methodpublic method_checkErrorCode" data-toggle="collapse" data-target=".method_checkErrorCode .collapse">
                            <h2>Check a value that it is a valid error code.</h2>
                            <pre>checkErrorCode(mixed $pValue): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>mixed</code><p><p>Value to sanitize to an Excel error code</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Sanitized value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_checkString"></a>
                        <div class="element clickable methodpublic method_checkString" data-toggle="collapse" data-target=".method_checkString .collapse">
                            <h2>Check a string that it satisfies Excel requirements.</h2>
                            <pre>checkString(null|\PhpOffice\PhpSpreadsheet\RichText\RichText|string $pValue): null|\PhpOffice\PhpSpreadsheet\RichText\RichText|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a>|string</code><p><p>Value to sanitize to an Excel string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>null|<a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a>|string</code><p><p>Sanitized value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getErrorCodes"></a>
                        <div class="element clickable methodpublic method_getErrorCodes" data-toggle="collapse" data-target=".method_getErrorCodes .collapse">
                            <h2>Get list of error codes.</h2>
                            <pre>getErrorCodes(): array</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_TYPE_STRING2"> </a>
                            <div class="element clickable constant constant_TYPE_STRING2" data-toggle="collapse" data-target=".constant_TYPE_STRING2 .collapse">
                                <h2>TYPE_STRING2</h2>
                                <pre>TYPE_STRING2</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_STRING"> </a>
                            <div class="element clickable constant constant_TYPE_STRING" data-toggle="collapse" data-target=".constant_TYPE_STRING .collapse">
                                <h2>TYPE_STRING</h2>
                                <pre>TYPE_STRING</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_FORMULA"> </a>
                            <div class="element clickable constant constant_TYPE_FORMULA" data-toggle="collapse" data-target=".constant_TYPE_FORMULA .collapse">
                                <h2>TYPE_FORMULA</h2>
                                <pre>TYPE_FORMULA</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_NUMERIC"> </a>
                            <div class="element clickable constant constant_TYPE_NUMERIC" data-toggle="collapse" data-target=".constant_TYPE_NUMERIC .collapse">
                                <h2>TYPE_NUMERIC</h2>
                                <pre>TYPE_NUMERIC</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_BOOL"> </a>
                            <div class="element clickable constant constant_TYPE_BOOL" data-toggle="collapse" data-target=".constant_TYPE_BOOL .collapse">
                                <h2>TYPE_BOOL</h2>
                                <pre>TYPE_BOOL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_NULL"> </a>
                            <div class="element clickable constant constant_TYPE_NULL" data-toggle="collapse" data-target=".constant_TYPE_NULL .collapse">
                                <h2>TYPE_NULL</h2>
                                <pre>TYPE_NULL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_INLINE"> </a>
                            <div class="element clickable constant constant_TYPE_INLINE" data-toggle="collapse" data-target=".constant_TYPE_INLINE .collapse">
                                <h2>TYPE_INLINE</h2>
                                <pre>TYPE_INLINE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TYPE_ERROR"> </a>
                            <div class="element clickable constant constant_TYPE_ERROR" data-toggle="collapse" data-target=".constant_TYPE_ERROR .collapse">
                                <h2>TYPE_ERROR</h2>
                                <pre>TYPE_ERROR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_errorCodes"> </a>
                            <div class="element clickable propertyprivate property_errorCodes" data-toggle="collapse" data-target=".property_errorCodes .collapse">
                                <h2>List of error codes.</h2>
                                <pre>errorCodes :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Cell\DataType"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Cell.html">Cell</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Cell.DataType.html">DataType</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:55 +0000.<br/>
    </footer></body>
</html>
